
From: "Pallipadi, Venkatesh" <venkatesh.pallipadi@intel.com>

Miscallaneous makefile and config changes



 25-akpm/Documentation/kernel-parameters.txt |    5 ++++-
 25-akpm/arch/i386/Kconfig                   |   11 +++++++++++
 25-akpm/arch/i386/kernel/Makefile           |    1 +
 25-akpm/arch/i386/kernel/timers/Makefile    |    1 +
 4 files changed, 17 insertions(+), 1 deletion(-)

diff -puN arch/i386/Kconfig~hpet-03-misc arch/i386/Kconfig
--- 25/arch/i386/Kconfig~hpet-03-misc	Fri Aug 29 10:51:12 2003
+++ 25-akpm/arch/i386/Kconfig	Fri Aug 29 10:51:12 2003
@@ -408,6 +408,17 @@ config HUGETLB_PAGE
 
 	  Otherwise, say N.
 
+config HPET_TIMER
+	bool "HPET Timer Support"
+	help
+	  This enables HPET timer usage for kernel internal timer.
+	  HPET is the next generation timer replacing legacy 8254s.
+	  You can safely choose Y here. However, HPET will be
+	  activated, only if platform and the BIOS supports the feature.
+	  Otherwise, 8254 will be used for timing services.
+
+	  Choose N, to continue using legacy 8254 timer.
+
 config SMP
 	bool "Symmetric multi-processing support"
 	---help---
diff -puN arch/i386/kernel/Makefile~hpet-03-misc arch/i386/kernel/Makefile
--- 25/arch/i386/kernel/Makefile~hpet-03-misc	Fri Aug 29 10:51:12 2003
+++ 25-akpm/arch/i386/kernel/Makefile	Fri Aug 29 10:51:12 2003
@@ -32,6 +32,7 @@ obj-$(CONFIG_EDD)             	+= edd.o
 obj-$(CONFIG_MODULES)		+= module.o
 obj-y				+= sysenter.o vsyscall.o
 obj-$(CONFIG_ACPI_SRAT) 	+= srat.o
+obj-$(CONFIG_HPET_TIMER) 	+= time_hpet.o
 
 EXTRA_AFLAGS   := -traditional
 
diff -puN arch/i386/kernel/timers/Makefile~hpet-03-misc arch/i386/kernel/timers/Makefile
--- 25/arch/i386/kernel/timers/Makefile~hpet-03-misc	Fri Aug 29 10:51:12 2003
+++ 25-akpm/arch/i386/kernel/timers/Makefile	Fri Aug 29 10:51:12 2003
@@ -5,3 +5,4 @@
 obj-y := timer.o timer_none.o timer_tsc.o timer_pit.o
 
 obj-$(CONFIG_X86_CYCLONE_TIMER)	+= timer_cyclone.o
+obj-$(CONFIG_HPET_TIMER)	+= timer_hpet.o
diff -puN Documentation/kernel-parameters.txt~hpet-03-misc Documentation/kernel-parameters.txt
--- 25/Documentation/kernel-parameters.txt~hpet-03-misc	Fri Aug 29 10:51:12 2003
+++ 25-akpm/Documentation/kernel-parameters.txt	Fri Aug 29 10:51:12 2003
@@ -215,7 +215,10 @@ running once the system is up.
 			when calculating gettimeofday(). If specicified timesource
 			is not avalible, it defaults to PIT. 
 			Format: { pit | tsc | cyclone | ... }
-			
+
+	hpet=		[IA-32,HPET] option to disable HPET and use PIT.
+			Format: disable
+
 	cm206=		[HW,CD]
 			Format: { auto | [<io>,][<irq>] }
 

_
